## libnm_glib

libnm_glib

## Synopsis

    enum                libnm_glib_state;
    typedef             libnm_glib_ctx;
    void                (*libnm_glib_callback_func)         (libnm_glib_ctx *libnm_ctx,
                                                             gpointer user_data);
    libnm_glib_ctx *    libnm_glib_init                     (void);
    void                libnm_glib_shutdown                 (libnm_glib_ctx *ctx);
    libnm_glib_state    libnm_glib_get_network_state        (const libnm_glib_ctx *ctx);
    guint               libnm_glib_register_callback        (libnm_glib_ctx *ctx,
                                                             libnm_glib_callback_func func,
                                                             gpointer user_data,
                                                             GMainContext *g_main_ctx);
    void                libnm_glib_unregister_callback      (libnm_glib_ctx *ctx,
                                                             guint id);

## Description

## Details

### enum libnm_glib_state

    typedef enum libnm_glib_state
    {
    	LIBNM_NO_DBUS = 0,
    	LIBNM_NO_NETWORKMANAGER,
    	LIBNM_NO_NETWORK_CONNECTION,
    	LIBNM_ACTIVE_NETWORK_CONNECTION,
    	LIBNM_INVALID_CONTEXT
    } libnm_glib_state;

### libnm_glib_ctx

    typedef struct libnm_glib_ctx libnm_glib_ctx;

### libnm_glib_callback_func ()

    void                (*libnm_glib_callback_func)         (libnm_glib_ctx *libnm_ctx,
                                                             gpointer user_data);

`libnm_ctx` : |
`user_data` : |

### libnm_glib_init ()

    libnm_glib_ctx *    libnm_glib_init                     (void);

Returns : |

### libnm_glib_shutdown ()

    void                libnm_glib_shutdown                 (libnm_glib_ctx *ctx);

`ctx` : |

### libnm_glib_get_network_state ()

    libnm_glib_state    libnm_glib_get_network_state        (const libnm_glib_ctx *ctx);

`ctx` : |
Returns : |

### libnm_glib_register_callback ()

    guint               libnm_glib_register_callback        (libnm_glib_ctx *ctx,
                                                             libnm_glib_callback_func func,
                                                             gpointer user_data,
                                                             GMainContext *g_main_ctx);

`ctx` : |
`func` : |
`user_data` : |
`g_main_ctx` : |
Returns : |

### libnm_glib_unregister_callback ()

    void                libnm_glib_unregister_callback      (libnm_glib_ctx *ctx,
                                                             guint id);

`ctx` : |
`id` : |